//////////////////////////////////
//															//
//	Definition of Strbase class //
//															//
//				Base Class						//
//															//
//////////////////////////////////

#ifndef STRINGBASE_CLASS  // a must for inheritance
#define STRINGBASE_CLASS


#include "Generic.h"



class StringBase
{
  public:

				StringBase (const char *InputString ="");	
				~StringBase ();

	      void Display (BOOL needCRLF = FALSE) const;
				void Display (const char *prefix, const char *suffix, BOOL needCRLF) const;
				BOOL Put_At (const char Character, const int Index);
				char Get_At (const int Index) const;

				BOOL Is_Empty(void) const;
				BOOL Length(void) const;

				//cctor
				StringBase(const StringBase &other);
				
				// assignment operator
				StringBase &operator= (const StringBase &other);
				StringBase &operator= (const char *other); 
				
				// equality operator
				BOOL operator== (const StringBase &other) const;
				BOOL operator== (const char *other) const;


	protected:
				int   m_length;
				char *m_string;	







};

#endif