//////////////////////////////////////
//															    //
//	Definition of StringFixed class //
//															    //
//				Derived Class 				    //
//															    //
//////////////////////////////////////


#ifndef STRINGFIXED_CLASS  // a must for inheritance
#define STRINGFIXED_CLASS

#define MAX_STRING  (15)

#include "strbase.h"


class StringFixed : public StringBase
{
	public:
				
			StringFixed (const char *InputString ="");	
			~StringFixed ();

			//cctor
			StringFixed(const StringFixed &other);
				
			// assignment operator
			StringFixed &operator= (const StringFixed &other);
			StringFixed &operator= (const char *other); 
				
			// equality operator
			BOOL operator== (const StringFixed &other) const;
			BOOL operator== (const char *other) const;

	


};



#endif