// StringVariable Header File
// File StringVariable.h

#ifndef STRINGVARIABLE_CLASS  // a must for inheritance
#define STRINGVARIABLE_CLASS

#include "strbase.h"

class StringVariable : public StringBase
{
	public:
				
				StringVariable (const char *InputString ="");	
				~StringVariable ();
				
				StringVariable(const StringVariable &other);
				
				StringVariable &operator= (const StringVariable &other);
				StringVariable &operator= (const char *other); 
				//	void operator= (const StringVariable &other);  // only different by return type
	
				BOOL operator== (const StringVariable &other) const;
				BOOL operator== (const char *other) const;

				StringVariable &operator+= (const StringVariable &other);
				StringVariable &operator+= (const char *other);

				StringVariable &Append (const StringVariable &other);
				StringVariable &Append (const char *other);

				void Display_Substring (const int Start, const int End) const;
				
				BOOL operator! (void) const;
						

	private:
				

};

#endif