////////////////////////////////////////
//																	  //
// Minimum required main code segment //
//																		//
//					for Patron Class					//
//																		//
////////////////////////////////////////

#include <iostream.h>
#include "patron.h"



void main()
{
	
	// create an object
	Patron *p1 = new Patron("Norm", "Peterson", 43);

	// display the object
	cout << "Displaying ALL\n";
	p1->Display_All_Info();
	cout << "\nDisplaying Parts\n";
	p1->Display_First_Name();
	p1->Display_Last_Name();
	p1->Display_Age();

	// change some information about a Patron
	p1->Change_First_Name("Cliff");
	p1->Display_All_Info();
	p1->Change_Last_Name("Claven");
	p1->Display_All_Info();
	p1->Change_Age(41);
	p1->Display_All_Info();

	// create a second object
	Patron *p2 = new Patron ("Carla", "Tortelli", 38);
	p2->Display_All_Info();

	

	// test the comparison operator
  if (p1 == p2)
		cout << "The objects are the same\n";
	else
		cout << "The objects are different\n";

	//change the second object dramatically
	p2 = p1;

	// display both objects
	cout << "First Patron:\n";
	p1->Display_All_Info();
	cout << "Second Patron:\n";
	p2->Display_All_Info();

	// test the comparison operator again
	if (p1 == p2)
		cout << "The objects are the same\n";
	else 
		cout << "The objects are different\n";

	// create a third object
	Patron p3 (*p2);
	p3.Change_Last_Name("Robertson");
	p3.Display_All_Info();

	//////////////////////////////////////////////////////////
	// Additional Programming can be added after this point //
	//////////////////////////////////////////////////////////

	delete p1,p2;

/*	
// ********
// Self test driver
//	Patron object("chung", "chau", 24);
//	object.Display_All_Info();
//	object.Display_First_Name();
// ********

	Patron op1("Car la", "Tor telli", 238);
	Patron op2("Carla", "Tortelli", 38);
  if (op1 == op2)
		cout << "The objects are the same\n";
	else
		cout << "The objects are different\n";


*/
	

}
